Fl_Tree_Prefs.H File Reference

This file contains the definitions for Fl_Tree's preferences. More...

`#include <FL/Fl.H>`

Go to the source code of this file.

## Classes

class | Fl_Tree_Prefs
| Tree widget's preferences. More...

## Enumerations

enum | Fl_Tree_Connector { FL_TREE_CONNECTOR_NONE =0, FL_TREE_CONNECTOR_DOTTED =1, FL_TREE_CONNECTOR_SOLID =2 }
| Defines the style of connection lines between items. More...
enum | Fl_Tree_Select { FL_TREE_SELECT_NONE =0, FL_TREE_SELECT_SINGLE =1, FL_TREE_SELECT_MULTI =2 }
| Tree selection style. More...
enum | Fl_Tree_Sort { FL_TREE_SORT_NONE =0, FL_TREE_SORT_ASCENDING =1, FL_TREE_SORT_DESCENDING =2 }
| Sort order options for items added to the tree. More...

## Detailed Description

This file contains the definitions for Fl_Tree's preferences.

Fl_Tree_Prefs
:
.....:.......
: :
Fl_Tree :
|_____ Fl_Tree_Item

## Enumeration Type Documentation

enum Fl_Tree_Connector

Defines the style of connection lines between items.

Enumerator
FL_TREE_CONNECTOR_NONE | Use no lines connecting items.
FL_TREE_CONNECTOR_DOTTED | Use dotted lines connecting items (default)
FL_TREE_CONNECTOR_SOLID | Use solid lines connecting items.

enum Fl_Tree_Select

Tree selection style.

Enumerator
FL_TREE_SELECT_NONE | Nothing selected when items are clicked.
FL_TREE_SELECT_SINGLE | Single item selected when item is clicked (default)
FL_TREE_SELECT_MULTI | Multiple items can be selected by clicking with SHIFT, CTRL or mouse drags.

enum Fl_Tree_Sort

Sort order options for items added to the tree.

Enumerator
FL_TREE_SORT_NONE | No sorting; items are added in the order defined (default).
FL_TREE_SORT_ASCENDING | Add items in ascending sort order.
FL_TREE_SORT_DESCENDING | Add items in descending sort order.

- © 1998-2012 by Bill Spitzak and others.